Package Gnumed :: Package business :: Module gmPathLab :: Class cTestPanel |
[frames] | no frames]

# Class cTestPanel

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cTestPanel

Represents a grouping/listing of tests into a panel.

Instance Methods
add_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
remove_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
format(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| test_types
| generic_codes
Inherited from `object`: `__class__`

Method Details

### format(self) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Property Details

### test_types Get Method: _get_test_types(self) Set Method: unreachable(x)

### generic_codes Get Method: _get_generic_codes(self) Set Method: _set_generic_codes(self, pk_codes)